Contractor API Documentation

    Submit HVAC pricing data programmatically using our REST API. Perfect for integrating with your existing business tools.

    Getting Started

    1

    Sign Up

    Create an account and set your profile to "Contractor".

    2

    Get API Key

    Generate your API key from the Contractor Portal.

    3

    Submit Data

    POST pricing data using the endpoint below.

    API Endpoint

    POST
    https://tckxukdwftmultcxnhqk.supabase.co /functions/v1/contractor-api

    Authentication

    Include your API key in the request header:

    Authorization: Bearer hvac_your_api_key_here
    Content-Type: application/json

    Request Body

    {
      "zip_code": "75201",
      "project_type": "replacement",    // "new_install", "replacement", or "repair"
      "total_cost": 14500,
      "labor_cost": 4800,
      "material_cost": 9700,
      "project_date": "2025-11-15",
      "notes": "Full system replacement",
      "equipment": [
        {
          "equipment_type": "heat_pump",  // See types below
          "brand": "trane",               // See brands below
          "model_number": "4TWR7060A1",
          "serial_number": "ABC123",
          "tons": 5.0,
          "seer": 16.25,
          "eer": 12.00,
          "hspf": 9.00,
          "heating_capacity_btuh": 54500,
          "cooling_capacity_btuh": 56000,
          "refrigerant": "R-410A",
          "voltage": "208/230",
          "phase": "1",
          "hz": "60",
          "amperage": 28.8,
          "breaker_size": 60,
          "airflow_cfm": 4760,
          "emergency_heat": true,
          "ahri_reference": "8928974",
          "equipment_cost": 5200,
          "labor_cost": 2400
        }
      ]
    }

    Equipment Types

    condensing_unit
    evaporator_coil
    furnace
    air_handler
    heat_pump
    ductwork_hard
    ductwork_soft
    piping
    electrical
    thermostat
    other

    Brand Codes

    york
    carrier
    trane
    goodman
    lennox
    rheem
    daikin
    amana
    bryant
    other

    cURL Example

    curl -X POST "https://tckxukdwftmultcxnhqk.supabase.co
    /functions/v1/contractor-api" \
      -H "Authorization: Bearer hvac_your_api_key_here" \
      -H "Content-Type: application/json" \
      -d '{
        "zip_code": "75201",
        "project_type": "replacement",
        "total_cost": 14500,
        "labor_cost": 4800,
        "material_cost": 9700,
        "equipment": [{
          "equipment_type": "heat_pump",
          "brand": "trane",
          "model_number": "4TWR7060A1",
          "tons": 5.0,
          "seer": 16.25,
          "equipment_cost": 5200,
          "labor_cost": 2400
        }]
      }'